#version 330

layout( location = 0 ) in vec3 InVertex;

uniform mat4 uViewMatrix;
uniform mat4 uProjectionMatrix;
uniform mat4 uModelMatrix;

void main()
{
	gl_Position = uProjectionMatrix * uViewMatrix * uModelMatrix * vec4( InVertex, 1.0 );
}